#include <chronoptics/tof/csf_camera.hpp>

namespace tof = chronoptics::tof;

int main() {
  const char* csfFile = "frames.csf";

  tof::CsfCamera cam(csfFile);
  tof::select_streams(cam, {tof::FrameType::Z});

  cam.start();
  std::vector<tof::Data> frames = cam.get_frames();
  cam.stop();
}
