% Get the camera configuration file on the camera, and write it to disk.

serial = '202001a';
config_file = serial + "_config.bin";

pro_config = tof.ProcessingConfig();
pro_config.setCalibrationEnabled(False);

cam = tof.KeaCamera(pro_config, serial);

config = cam.getCameraConfig();

config.write(config_file);
